/***************************************************************************
 *   Copyright (C) 2007 by sebastian   *
 *   sebastian.bw@freenet.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _MASCHINENTOOLPREF_H_
#define _MASCHINENTOOLPREF_H_

#include <kdialogbase.h>
#include <qframe.h>

class MaschinenToolPrefPageOne;
class MaschinenToolPrefPageTwo;

class MaschinenToolPreferences : public KDialogBase
{
    Q_OBJECT
public:
    MaschinenToolPreferences();

private:
    MaschinenToolPrefPageOne *m_pageOne;
    MaschinenToolPrefPageTwo *m_pageTwo;
};

class MaschinenToolPrefPageOne : public QFrame
{
    Q_OBJECT
public:
    MaschinenToolPrefPageOne(QWidget *parent = 0);
};

class MaschinenToolPrefPageTwo : public QFrame
{
    Q_OBJECT
public:
    MaschinenToolPrefPageTwo(QWidget *parent = 0);
};

#endif // _MASCHINENTOOLPREF_H_
